Skip to main content

Authorizations


Request an authorization to reserve the funds for a payment in a customer's account. When sending an authorization request, include the pre-approval token in the processorInformation.preApprovalToken field to link the Affirm session to the authorization.

A successful authorization request is indicated by the AUTHORIZED status in the status response field. Save the request ID that you received in the id response field to send the follow-on capture or authorization reversal requests.

For more information about capturing the authorized payment, see Affirm Captures. If you or the customer decides to cancel the purchase, you can request an authorization reversal to remove the hold on the authorized funds. For more information about releasing the funds, see Affirm Authorization Reversals.

See Affirm API Endpoints.

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "processorInformation": {    "preApprovalToken": "7TCQD02QPNEP0J27"  },  "paymentInformation": {    "paymentType": {      "name": "INVOICE",      "method": {        "name": "AFFIRM"      }    }  },  "processingInformation": {    "actionList": "AP_AUTH"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "150.00",      "currency": "USD"    }  }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7297988801656025903955/reversals"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7297988801656025903955/captures"        },        "self": {            "method": "POST",            "href": "/pts/v2/payments/7297988801656025903955"        },        "status": {            "method": "POST",            "href": "/pts/v2/refresh-payment-status/7297988801656025903955"        }    },    "clientReferenceInformation": {        "code": "1729798880282"    },    "id": "7297988801656025903955",    "orderInformation": {        "amountDetails": {            "totalAmount": "150.00",            "currency": "USD"        }    },    "processorInformation": {        "responseDetails": "00003",        "transactionId": "E7GDSVS3HZAI3248",        "responseCode": "00003"    },    "reconciliationId": "XFZ3Z2N9GCMY",    "status": "AUTHORIZED",    "submitTimeUtc": "2024-10-24T19:41:21Z"}
FieldTypeDescription
orderInformation.amountDetails.currencyThe currency for the order.
orderInformation.amountDetails.totalAmountThe total amount for the order.
paymentInformation.paymentType.method.nameSet to AFFIRM.
paymentInformation.paymentType.nameSet to INVOICE.
processingInformation.actionListSet to AP_AUTH.
processorInformation.preApprovalTokenSet to the pre-approval token value, which is the processorInformation.token field value in the session response.

Response Statuses

responds with one of these statuses in the status response field.

  • AUTHORIZED: The authorization request is successful and the amount is authorized.
  • FAILED: The authorization request is not successful. Send a new authorization request.

For REST, also provides a reconciliation ID for tracking and reporting purposes in the reconciliationId response field.

Last published: September 29, 2026